Index: branches/OKB/HeuristicLab.Services.OKB.DataAccess/3.3/OKB.dbml.layout
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataAccess/3.3/OKB.dbml.layout	(revision 4587)
+++ branches/OKB/HeuristicLab.Services.OKB.DataAccess/3.3/OKB.dbml.layout	(revision 4591)
@@ -34,5 +34,5 @@
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(14.25 : 1.8862939453125); (14.25 : 2.125)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(14.25 : 1.8862939453125); (14.25 : 2.125)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/OKBDataContext/ProblemClass/ProblemClass_Problem" />
       <nodes>
@@ -47,5 +47,5 @@
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(13.25 : 3.73768854532225); (10.3177083333333 : 3.73768854532225 : JumpStart); (10.0755208333334 : 3.73768854532225 : JumpEnd); (9.39129711009978 : 3.73768854532225); (9.39129711009978 : 4.375)]" manuallyRouted="true" fixedFrom="Caller" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(13.25 : 3.73768854532225); (10.3177083333333 : 3.73768854532225 : JumpStart); (10.0755208333334 : 3.73768854532225 : JumpEnd); (9.39129711009978 : 3.73768854532225); (9.39129711009978 : 4.375)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/OKBDataContext/Problem/Problem_Experiment" />
       <nodes>
@@ -73,5 +73,5 @@
       </nestedChildShapes>
     </classShape>
-    <associationConnector edgePoints="[(14.25 : 3.89589680989583); (14.25 : 4.375)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(14.25 : 3.89589680989583); (14.25 : 4.375)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/OKBDataContext/Problem/Problem_ProblemParameter" />
       <nodes>
@@ -119,5 +119,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(10 : 2.85); (13.25 : 2.85)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(10 : 2.85); (13.25 : 2.85)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/OKBDataContext/Platform/Platform_Problem" />
       <nodes>
@@ -159,17 +159,4 @@
       </nodes>
     </associationConnector>
-    <classShape Id="8b301cad-7a91-46f5-9c49-75b17bac7a67" absoluteBounds="11.75, 10.25, 2, 1.1939925130208344">
-      <DataClassMoniker Name="/OKBDataContext/Client" />
-      <nestedChildShapes>
-        <elementListCompartment Id="aacc92af-97a1-46b2-8614-a54b03736b54" absoluteBounds="11.765, 10.71, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
-      </nestedChildShapes>
-    </classShape>
-    <associationConnector edgePoints="[(11.75 : 10.8469962565104); (10 : 10.8469962565104)]" fixedFrom="NotFixed" fixedTo="NotFixed">
-      <AssociationMoniker Name="/OKBDataContext/Client/Client_Run" />
-      <nodes>
-        <classShapeMoniker Id="8b301cad-7a91-46f5-9c49-75b17bac7a67" />
-        <classShapeMoniker Id="83a5f628-defe-486f-bc6a-4ab430293368" />
-      </nodes>
-    </associationConnector>
     <classShape Id="06cdd7a7-aece-4230-94df-523959acef3f" isExpanded="false" absoluteBounds="5, 4.375, 2, 0.45">
       <DataClassMoniker Name="/OKBDataContext/AlgorithmParameterBlobValue" />
@@ -361,5 +348,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(13.25 : 4.6); (13 : 4.6)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(13.25 : 4.6); (13 : 4.6)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/OKBDataContext/ProblemParameter/ProblemParameter_ProblemParameterBlobValue" />
       <nodes>
@@ -644,5 +631,5 @@
       </nodes>
     </associationConnector>
-    <associationConnector edgePoints="[(13.25 : 3.27707098556576); (13 : 3.27707098556576)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+    <associationConnector edgePoints="[(13.25 : 3.27707098556576); (13 : 3.27707098556576)]" fixedFrom="NotFixed" fixedTo="NotFixed">
       <AssociationMoniker Name="/OKBDataContext/Problem/Problem_ProblemData" />
       <nodes>
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterBlobValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterBlobValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterBlobValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class AlgorithmParameterBlobValue : AlgorithmParameterValue {
+    [DataMember]
+    public byte[] Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterBoolValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterBoolValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterBoolValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class AlgorithmParameterBoolValue : AlgorithmParameterValue {
+    [DataMember]
+    public bool Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterFloatValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterFloatValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterFloatValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class AlgorithmParameterFloatValue : AlgorithmParameterValue {
+    [DataMember]
+    public double Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterIntValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterIntValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterIntValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class AlgorithmParameterIntValue : AlgorithmParameterValue {
+    [DataMember]
+    public long Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterStringValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterStringValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterStringValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class AlgorithmParameterStringValue : AlgorithmParameterValue {
+    [DataMember]
+    public string Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/AlgorithmParameterValue.cs	(revision 4591)
@@ -0,0 +1,34 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public abstract class AlgorithmParameterValue {
+    [DataMember]
+    public long AlgorithmParameterId { get; set; }
+    [DataMember]
+    public long ExperimentId { get; set; }
+    [DataMember]
+    public long DataTypeId { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Experiment.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Experiment.cs	(revision 4587)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Experiment.cs	(revision 4591)
@@ -20,4 +20,5 @@
 #endregion
 
+using System.Collections.Generic;
 using System.Runtime.Serialization;
 
@@ -29,4 +30,8 @@
     [DataMember]
     public long ProblemId { get; set; }
+    [DataMember]
+    public IEnumerable<AlgorithmParameterValue> AlgorithmParameterValues { get; set; }
+    [DataMember]
+    public IEnumerable<ProblemParameterValue> ProblemParameterValues { get; set; }
   }
 }
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/HeuristicLab.Services.OKB.DataTransfer-3.3.csproj
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/HeuristicLab.Services.OKB.DataTransfer-3.3.csproj	(revision 4587)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/HeuristicLab.Services.OKB.DataTransfer-3.3.csproj	(revision 4591)
@@ -52,4 +52,22 @@
     <Compile Include="AlgorithmData.cs" />
     <Compile Include="AlgorithmParameter.cs" />
+    <Compile Include="AlgorithmParameterValue.cs" />
+    <Compile Include="AlgorithmParameterBlobValue.cs" />
+    <Compile Include="AlgorithmParameterBoolValue.cs" />
+    <Compile Include="AlgorithmParameterFloatValue.cs" />
+    <Compile Include="AlgorithmParameterIntValue.cs" />
+    <Compile Include="AlgorithmParameterStringValue.cs" />
+    <Compile Include="ResultFloatValue.cs" />
+    <Compile Include="ResultBoolValue.cs" />
+    <Compile Include="ResultIntValue.cs" />
+    <Compile Include="ResultStringValue.cs" />
+    <Compile Include="ResultBlobValue.cs" />
+    <Compile Include="ProblemParameterBoolValue.cs" />
+    <Compile Include="ProblemParameterFloatValue.cs" />
+    <Compile Include="ProblemParameterIntValue.cs" />
+    <Compile Include="ProblemParameterStringValue.cs" />
+    <Compile Include="ProblemParameterBlobValue.cs" />
+    <Compile Include="ResultValue.cs" />
+    <Compile Include="ProblemParameterValue.cs" />
     <Compile Include="Run.cs" />
     <Compile Include="Experiment.cs" />
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterBlobValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterBlobValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterBlobValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ProblemParameterBlobValue : ProblemParameterValue {
+    [DataMember]
+    public byte[] Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterBoolValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterBoolValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterBoolValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ProblemParameterBoolValue : ProblemParameterValue {
+    [DataMember]
+    public bool Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterFloatValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterFloatValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterFloatValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ProblemParameterFloatValue : ProblemParameterValue {
+    [DataMember]
+    public double Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterIntValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterIntValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterIntValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ProblemParameterIntValue : ProblemParameterValue {
+    [DataMember]
+    public long Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterStringValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterStringValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterStringValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ProblemParameterStringValue : ProblemParameterValue {
+    [DataMember]
+    public string Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ProblemParameterValue.cs	(revision 4591)
@@ -0,0 +1,34 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public abstract class ProblemParameterValue {
+    [DataMember]
+    public long ProblemParameterId { get; set; }
+    [DataMember]
+    public long ExperimentId { get; set; }
+    [DataMember]
+    public long DataTypeId { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultBlobValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultBlobValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultBlobValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ResultBlobValue : ResultValue {
+    [DataMember]
+    public byte[] Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultBoolValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultBoolValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultBoolValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ResultBoolValue : ResultValue {
+    [DataMember]
+    public bool Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultFloatValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultFloatValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultFloatValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ResultFloatValue : ResultValue {
+    [DataMember]
+    public double Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultIntValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultIntValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultIntValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ResultIntValue : ResultValue {
+    [DataMember]
+    public long Value { get; set; }
+  }
+}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultStringValue.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultStringValue.cs	(revision 4591)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/ResultStringValue.cs	(revision 4591)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Runtime.Serialization;
+
+namespace HeuristicLab.Services.OKB.DataTransfer {
+  [DataContract]
+  public class ResultStringValue : ResultValue {
+    [DataMember]
+    public string Value { get; set; }
+  }
+}
